← Back to listing
POST/api/v1/opportunities

Create Opportunity

Creates a new opportunity.

Authentication

Send your API key in the x-api-key header.

x-api-keybearer

Request body

required

PublicApiCreateOpportunityDto

namerequired

string

Name of the opportunity

amount

number

Opportunity amount

finalAmount

number

Final opportunity amount

risk

string

Opportunity risk level

LowMediumHigh
priority

string

Opportunity priority level

LowMediumHigh
description

string

Opportunity description

featuredNotes

string

Featured notes for the opportunity

nextStep

string

Next step for the opportunity

closeDate

string (date-time)

Actual close date

closeProbability

number

Close probability (0-100)

status

string

Opportunity status

wonlostopenarchivedbreak

Example request

json
{
  "name": "Enterprise Software License",
  "amount": 50000,
  "finalAmount": 45000,
  "risk": "Low",
  "priority": "High",
  "description": "Enterprise software license for 500 users",
  "featuredNotes": "Key decision maker is the CTO",
  "nextStep": "FollowUp",
  "closeDate": "2024-03-10T00:00:00.000Z",
  "closeProbability": 75,
  "status": "open"
}

Responses

201

PublicApiCreateOpportunityResponseDto

statusCoderequired

number

countrequired

number

errorrequired

string

datarequired

PublicApiOpportunityDto

Example response

json
{
  "statusCode": 200,
  "count": 0,
  "error": null,
  "data": {
    "id": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
    "name": "Enterprise Software License",
    "amount": 50000,
    "finalAmount": 45000,
    "risk": "Low",
    "priority": "High",
    "description": "Enterprise software license for 500 users",
    "featuredNotes": "Key decision maker is the CTO",
    "nextStep": "FollowUp",
    "closeDate": "2024-03-10T00:00:00.000Z",
    "closeProbability": 75,
    "status": "open",
    "createdAt": "2024-01-15T10:00:00.000Z",
    "updatedAt": "2024-01-15T10:00:00.000Z"
  }
}
401Unauthorized - missing or invalid API key or Bearer token